//
// Copyright 2014 Perforce Software Inc.
//

namespace Perforce {
    public static class Constants {
        // Default thumbnail
        public const string DEFAULT_THUMBNAIL = "../Resources/DefaultIcons/generic.png";

        // Dummy Depot Path
        public const string DUMMY_DEPOT_PATH = "//DUMMY_DEPOT_PATH";

        // Preferences
        public const string USER_PREFERENCES = "userPrefs";
        public const string PREFS_SYNCINTERVAL = "SyncInterval";
        public const string PREFS_SYNCENABLED = "SyncEnabled";
        public const string PREFS_LASTP4PORT = "LastP4Port";
        public const string PREFS_LASTP4USER = "LastP4User";
        public const string PREFS_LASTP4CLIENT = "LastP4Client";
        public const string PREFS_LASTP4TICKET = "LastP4Ticket";

        // Defaults
        public const bool DEFAULT_SYNCENABLED = true;
        public const int DEFAULT_SYNCINTERVAL = 120;
        public const bool DEFAULT_REFRESHENABLED = true;
        public const int DEFAULT_REFRESHINTERVAL = 60;

        // Helpers
        public const string PERFORCE_HELPER = "perforceHelper";
        public const string EXTENSION_HELPER = "extensionHelper";
        public const string FAVORITES_HELPER = "favoritesHelper";
        public const string SEARCH_HELPER = "searchHelper";

        // Other Objects
        public static object RECENT_LIST = "recentList";
        public static object LOG_WINDOW = "logWindow";

        // Background processes
        public const string SYNC_WORKER = "syncWorker";
        public const string REFRESH_WORKER = "refreshWorker";
        public const string WATCHDOG = "watchdog";

        // View Models
        public const string TOOLBAR_VIEWMODEL = "toolbarViewModel";

        // messages
        public const string GENERATED_CHANGELIST_DESCRIPTION = "Perforce-generated changelist";

        // server keys
        public const string P4SEARCH_URL = "p4search.url";
        public static string TAG_FILTERS = "tagFilters";
        
    }
}
