//
// Copyright 2014 Perforce Software Inc.
//

using Perforce.Helper;
using Perforce.ViewModel;
using System;
using System.Windows;
using System.Windows.Controls;

namespace Perforce.View {
    /// <summary>
    /// Interaction logic for BreadcrumbBar.xaml
    /// </summary>
    public partial class BreadcrumbBar : UserControl {

        private BreadcrumbBarViewModel _model;

        public BreadcrumbBar() {
            InitializeComponent();
            _model = new BreadcrumbBarViewModel();
            MainWindow main = App.Current.MainWindow as MainWindow;
            if (main != null) {
                _model.UpdatePath(main.CurrentSelection);
            }
            this.DataContext = _model;
        }

        public BreadcrumbBarViewModel Model {
            get { return _model; }
        }

        private void Breadcrumb_MouseUp(object sender, System.Windows.Input.MouseButtonEventArgs e) {
            Log.TraceFunction();
            FrameworkElement element = (FrameworkElement)sender;
            BreadCrumbItem item = element.DataContext as BreadCrumbItem;
            if (item != null) {
                UIHelper.GoToPath(item.Path, SELECTOR_TYPE.SERVER);
                
            }
        }
    }
}
