using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;

namespace Perforce.View {
    public class FolderHistoryToolsTemplateSelector : DataTemplateSelector {
        public DataTemplate NoToolsDataTemplate { get; set; }
        public DataTemplate RestoreToolsDataTemplate { get; set; }

        public override DataTemplate SelectTemplate(object item, DependencyObject container) {
            var template = NoToolsDataTemplate;
            var hist = item as FolderHistoryItem;
            var helper = Utility.GetPerforceHelper();
            if (!helper.PathHasAnyOpened(hist.Path + "/...")) {
                template = RestoreToolsDataTemplate;
            }
            return template;
        }

    }
}
