//
// Copyright 2014 Perforce Software Inc.
//

using Perforce.Helper;
using System;

namespace Perforce.ViewModel {
    public class MenuBarViewModel : ViewModelBase {

        public void Refresh() {
            OnPropertyChanged(string.Empty);
        }

        public bool IsWorkspaceActive {
            get {
                var active = false;
                var helper = Utility.GetPerforceHelper();
                if (helper != null) {
                    active = helper.ClientEnabled;
                }
                return active;
            }
        }

        public bool IsSyncRunning {
            get {
                var running = false;
                var syncWorker = Utility.GetSyncBackgroundWorker();
                if (syncWorker != null) {
                    running = syncWorker.IsRunnable;
                }
                return running;
            }
        }

        public void ToggleSync() {
            var syncWorker = Utility.GetSyncBackgroundWorker();
            if (syncWorker != null) {
                if (syncWorker.IsRunnable) {
                    syncWorker.StopSync();
                } else {
                    syncWorker.StartSync();
                }
                OnPropertyChanged("IsSyncRunning");
            }
        }


    }
}
